# Class DimensionNameType

Object
CodeList<DimensionNameType>
DimensionNameType

All Implemented Interfaces:
  `Serializable, Comparable<DimensionNameType>`

@UML(identifier="MD_DimensionNameTypeCode", specification=ISO_19115) public final class DimensionNameType extends CodeList<DimensionNameType>
Name of the dimension.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DimensionNameType`
  `COLUMN`
  Abscissa (x) axis.
  `static final DimensionNameType`
  `CROSS_TRACK`
  Perpendicular to the direction of motion of the scan point.
  `static final DimensionNameType`
  `LINE`
  Scan line of a sensor.
  `static final DimensionNameType`
  `ROW`
  Ordinate (y) axis.
  `static final DimensionNameType`
  `SAMPLE`
  Element along a scan line.
  `static final DimensionNameType`
  `TIME`
  Duration.
  `static final DimensionNameType`
  `TRACK`
  Along the direction of motion of the scan point
  `static final DimensionNameType`
  `VERTICAL`
  Vertical (z) axis.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DimensionNameType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static DimensionNameType`
  `valueOf(String code)`
  Returns the dimension name type that matches the given string, or returns a new one if none match it.
  `static DimensionNameType[]`
  `values()`
  Returns the list of `DimensionNameType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ROW

    @UML(identifier="row", obligation=CONDITIONAL, specification=ISO_19115) public static final DimensionNameType ROW
    Ordinate (y) axis.

  - ### COLUMN

    @UML(identifier="column", obligation=CONDITIONAL, specification=ISO_19115) public static final DimensionNameType COLUMN
    Abscissa (x) axis.

  - ### VERTICAL

    @UML(identifier="vertical", obligation=CONDITIONAL, specification=ISO_19115) public static final DimensionNameType VERTICAL
    Vertical (z) axis.

  - ### TRACK

    @UML(identifier="track", obligation=CONDITIONAL, specification=ISO_19115) public static final DimensionNameType TRACK
    Along the direction of motion of the scan point

  - ### CROSS_TRACK

    @UML(identifier="crossTrack", obligation=CONDITIONAL, specification=ISO_19115) public static final DimensionNameType CROSS_TRACK
    Perpendicular to the direction of motion of the scan point.

  - ### LINE

    @UML(identifier="line", obligation=CONDITIONAL, specification=ISO_19115) public static final DimensionNameType LINE
    Scan line of a sensor.

  - ### SAMPLE

    @UML(identifier="sample", obligation=CONDITIONAL, specification=ISO_19115) public static final DimensionNameType SAMPLE
    Element along a scan line.

  - ### TIME

    @UML(identifier="time", obligation=CONDITIONAL, specification=ISO_19115) public static final DimensionNameType TIME
    Duration.

- ## Method Details

  - ### values

    public static DimensionNameType[] values()
    Returns the list of `DimensionNameType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public DimensionNameType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<DimensionNameType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static DimensionNameType valueOf(String code)
    Returns the dimension name type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.